<template>
  <div class="block-login-form">
    <p class="login-header default-header">Welcome to a todo app</p>

    <login-input-form name="email" class="login-input" />
    <login-input-form name="password" type="password" class="login-input" />
    <login-button class="login-button" />
  </div>
</template>

<script>
import LoginButton from "./LoginButton.vue";
import LoginInputForm from "./LoginInputForm";

export default {
  name: "login-auth",
  components: {
    LoginButton,
    LoginInputForm
  }
};
</script>

<style lang="sass">
@import "../../scss/media_mixin.sass"

.block-login-form
  max-width: 308px
  min-height: 720px
  align-content: start
  text-align: left


.login-header
  padding-top: 138px
  padding-bottom: 80px
  @include media_960
    padding-top: 65px
    max-width: 270px

.login-input
  padding-bottom: 34px

.login-button
  padding-top: 122px
  @include media_960
    margin-top: 122px
    position: absolute
    bottom: 34px
</style>
